Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssMdMember

All Superinterfaces:
  IEssBaseObject, IEssProperties

public interface IEssMdMember
extends IEssBaseObject, IEssProperties

The IEssMdMember interface. This represents a member or dimension in the multi-dimensional result set returned by an MDX query operation.

Nested Class Summary

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Method Summary
`java.lang.String` | `getName()` Returns this member's (or dimension's id it represents a dimension) identifier.
`boolean` | `isDimension()` Checks if this member represents a dimension.

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, refreshPropertyValues, setPropertyValueAny, setPropertyValueAny, updatePropertyValues`

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Returns this member's (or dimension's id it represents a dimension) identifier. The return value is either the member (or dimension) name or alias name based on what option was passed in IEssOpMdxQuery for member identifier type.

  Returns:
    The MDX member name or alias.
  Throws:
    `EssException` - if an error occurs.

### isDimension

    public boolean isDimension()
                        throws EssException

  Checks if this member represents a dimension.

  Returns:
    True if the member is a dimension, false otherwise.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD